Bug 247472 - k3b can't unmount dvd-rw media
k3b can't unmount dvd-rw media
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-09 11:08 EDT by Valent Turkovic
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-15 15:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valent Turkovic 2007-07-09 11:08:16 EDT
Description of problem:
I try to erase dvd-rw media with k3b but if fails to do so and gives error that
it can't unmount it.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. put dvd-rw in drive, wait to settle down and automounts
2. close nautilus windows that poped-up
3. start k3b and issue format dvd command
Actual results:
k3b format fails and gives error

Expected results:
to have emply dvd-rw for burning new stuff to it

Additional info:

Here is the k3b log:

K3b Version: 0.12.17

KDE Version: 3.5.7-0.1.fc6 Fedora
QT Version:  3.3.8
Kernel:      2.6.20-1.2962.fc6
HL-DT-ST DVDRAM GSA-4080N 0X21 (/dev/scd0, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM;
DVD-RW Restricted Overwrite; DVD-RW Sequential; DVD+RW; DVD+R; CD-ROM; CD-R;
Restricted Overwrite]

* BD/DVD±RW/-RAM format utility by <appro@fy.chalmers.se>, version 7.0.
* 4.7GB DVD-RW media in Sequential mode detected.
umount: /media/moove is not in the fstab (and you are not root)
:-( unable to proceed with format: Device or resource busy

dvd+rw-format command:
/usr/bin/dvd+rw-format -gui -blank /dev/scd0
Comment 1 Harald Hoyer 2007-07-10 06:07:15 EDT
you may turn off automounting of gnome or kde... does that work?
Comment 2 Valent Turkovic 2007-07-12 04:40:30 EDT
Yes that works. 
But this is not a solution because I want my media to automount. Is there any
other info you need from me? Can i help you in some other way in fixing this bug?
Comment 3 Valent Turkovic 2007-07-12 04:41:41 EDT
ps. I'm in gonome.
Comment 4 Valent Turkovic 2007-07-17 03:00:38 EDT
I also tried adding my user to "disk" group as one suggested, and restarted my
laptop but k3b still can't unmount cd or dvd once is mounted.
Stopping it from mounting is not the solution because I have automount enabled
and I like the that feature.

How can I contribute and give you feedback to help you fix this bug?
Comment 5 Harald Hoyer 2007-07-17 05:14:22 EDT
k3b has to use gnome-umount, if umount fails.. pretty bad solution... will
update k3b.
Comment 6 Fedora Update System 2007-07-30 13:02:49 EDT
k3b-1.0.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-08-15 15:49:19 EDT
k3b-1.0.3-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Valent Turkovic 2007-09-02 02:54:21 EDT
I tested for this bug under rawhide and it works ok!

Looks like fedora 8 i going to be a nice release ;)

Thank you! 
Comment 9 Valent Turkovic 2007-09-02 02:54:40 EDT
I tested for this bug under rawhide and it works ok!

Looks like fedora 8 is going to be a nice release ;)

Thank you! 

Note You need to log in before you can comment on or make changes to this bug.